osgVolume Namespace Reference

## Classes

class | FixedFunctionTechnique
class | ImageDetails
class | Layer
class | ImageLayer
class | CompositeLayer
class | Locator
class | TransformLocatorCallback
class | TexGenLocatorCallback
class | MultipassTechnique
class | PropertyVisitor
class | Property
class | CompositeProperty
class | SwitchProperty
class | TransferFunctionProperty
class | ScalarProperty
class | IsoSurfaceProperty
class | AlphaFuncProperty
class | MaximumIntensityProjectionProperty
class | LightingProperty
class | SampleDensityProperty
class | SampleDensityWhenMovingProperty
class | SampleRatioProperty
class | SampleRatioWhenMovingProperty
class | TransparencyProperty
class | ExteriorTransparencyFactorProperty
class | CollectPropertiesVisitor
class | PropertyAdjustmentCallback
class | RayTracedTechnique
class | Volume
class | VolumeScene
class | VolumeSettings
struct | TileData
class | VolumeTechnique
class | TileID
class | VolumeTile

## Functions

OSGVOLUME_EXPORT osg::Image * | createNormalMapTexture (osg::Image *image_3d)
OSGVOLUME_EXPORT osg::Image * | applyTransferFunction (osg::Image *image, osg::TransferFunction1D *transferFunction)

## Detailed Description

The osgVolume library is a NodeKit that extends the core scene graph to support volume rendering.

## Function Documentation

## applyTransferFunction()

OSGVOLUME_EXPORT osg::Image * osgVolume::applyTransferFunction | ( | osg::Image * | image,
|  | osg::TransferFunction1D * | transferFunction )

extern

Create an image that has a transfer function applied specified Image.

References OSGVOLUME_EXPORT.

## createNormalMapTexture()

OSGVOLUME_EXPORT osg::Image * osgVolume::createNormalMapTexture | ( | osg::Image * | image_3d | ) |

extern

Compute a 3d image that represent the normal map of the specified 3d image.

References OSGVOLUME_EXPORT.